GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment Class Reference

## Public Member Functions
List< String > | getShipmentReference ()
Date | getShippingDate ()
void | setShippingDate (Date value)
String | getIncotermCode ()
void | setIncotermCode (String value)
String | getIdentifier ()
void | setIdentifier (String value)
String | getMiddleware ()
void | setMiddleware (String value)
ProductType | getProduct ()
void | setProduct (ProductType value)
Boolean | isExpressAltDeliveryAllowed ()
void | setExpressAltDeliveryAllowed (Boolean value)
Consignee | getConsignee ()
void | setConsignee (Consignee value)
Shipper | getShipper ()
void | setShipper (Shipper value)
Return | getReturn ()
void | setReturn (Return value)
Carrier | getCarrier ()
void | setCarrier (Carrier value)
List< ShipmentUnit > | getShipmentUnit ()
List< ShipmentService > | getService ()

## Protected Attributes
List< String > | shipmentReference
Date | shippingDate
String | incotermCode
String | identifier
String | middleware
ProductType | product
Boolean | expressAltDeliveryAllowed
Consignee | consignee
Shipper | shipper
Return | _return
Carrier | carrier
List< ShipmentUnit > | shipmentUnit
List< ShipmentService > | service

## Detailed Description

Shipment attributes

Java class for Shipment complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Shipment">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ShipmentReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="ShippingDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
            <element name="IncotermCode" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}IncotermCode" minOccurs="0"/>
            <element name="Identifier" type="{http://fpcs.gls-group.eu/v1/Common}ShipmentIdentifier" minOccurs="0"/>
            <element name="Middleware" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Product" type="{http://fpcs.gls-group.eu/v1/Common}ProductType"/>
            <element name="ExpressAltDeliveryAllowed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
            <element name="Consignee" type="{http://fpcs.gls-group.eu/v1/Common}Consignee"/>
            <element name="Shipper" type="{http://fpcs.gls-group.eu/v1/Common}Shipper"/>
            <element name="Return" type="{http://fpcs.gls-group.eu/v1/Common}Return" minOccurs="0"/>
            <element name="Carrier" type="{http://fpcs.gls-group.eu/v1/Common}Carrier" minOccurs="0"/>
            <element name="ShipmentUnit" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ShipmentUnit" maxOccurs="unbounded"/>
            <element name="Service" type="{http://fpcs.gls-group.eu/v1/Common}ShipmentService" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 73 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## Member Function Documentation

## ◆ getCarrier()

Carrier eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getCarrier | ( |  | ) |

Gets the value of the carrier property.

Returns
  possible object is String

Definition at line 359 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getConsignee()

Consignee eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getConsignee | ( |  | ) |

Gets the value of the consignee property.

Returns
  possible object is Consignee

Definition at line 287 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getIdentifier()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getIdentifier | ( |  | ) |

Gets the value of the identifier property.

Returns
  possible object is String

Definition at line 191 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getIncotermCode()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getIncotermCode | ( |  | ) |

Gets the value of the incotermCode property.

Returns
  possible object is String

Definition at line 167 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getMiddleware()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getMiddleware | ( |  | ) |

Gets the value of the middleware property.

Returns
  possible object is String

Definition at line 215 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getProduct()

ProductType eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getProduct | ( |  | ) |

Gets the value of the product property.

Returns
  possible object is ProductType

Definition at line 239 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getReturn()

Return eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getReturn | ( |  | ) |

Gets the value of the return property.

Returns
  possible object is Return

Definition at line 335 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getService()

List<ShipmentService> eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getService | ( |  | ) |

Gets the value of the service property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the service property.

For example, to add a new item, do as follows:

       getService().add(newItem);

Objects of the following type(s) are allowed in the list ShipmentService

Definition at line 426 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getShipmentReference()

List<String> eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getShipmentReference | ( |  | ) |

Gets the value of the shipmentReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentReference property.

For example, to add a new item, do as follows:

       getShipmentReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 128 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getShipmentUnit()

List<ShipmentUnit> eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getShipmentUnit | ( |  | ) |

Gets the value of the shipmentUnit property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnit property.

For example, to add a new item, do as follows:

       getShipmentUnit().add(newItem);

Objects of the following type(s) are allowed in the list ShipmentUnit

Definition at line 397 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getShipper()

Shipper eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getShipper | ( |  | ) |

Gets the value of the shipper property.

Returns
  possible object is Shipper

Definition at line 311 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ getShippingDate()

Date eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.getShippingDate | ( |  | ) |

Gets the value of the shippingDate property.

Returns
  possible object is String

Definition at line 143 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ isExpressAltDeliveryAllowed()

Boolean eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.isExpressAltDeliveryAllowed | ( |  | ) |

Gets the value of the expressAltDeliveryAllowed property.

Returns
  possible object is Boolean

Definition at line 263 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setCarrier()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setCarrier | ( | Carrier | value | ) |

Sets the value of the carrier property.

Parameters

  value | allowed object is String

Definition at line 371 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setConsignee()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setConsignee | ( | Consignee | value | ) |

Sets the value of the consignee property.

Parameters

  value | allowed object is Consignee

Definition at line 299 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setExpressAltDeliveryAllowed()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setExpressAltDeliveryAllowed | ( | Boolean | value | ) |

Sets the value of the expressAltDeliveryAllowed property.

Parameters

  value | allowed object is Boolean

Definition at line 275 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setIdentifier()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setIdentifier | ( | String | value | ) |

Sets the value of the identifier property.

Parameters

  value | allowed object is String

Definition at line 203 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setIncotermCode()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setIncotermCode | ( | String | value | ) |

Sets the value of the incotermCode property.

Parameters

  value | allowed object is String

Definition at line 179 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setMiddleware()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setMiddleware | ( | String | value | ) |

Sets the value of the middleware property.

Parameters

  value | allowed object is String

Definition at line 227 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setProduct()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setProduct | ( | ProductType | value | ) |

Sets the value of the product property.

Parameters

  value | allowed object is ProductType

Definition at line 251 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setReturn()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setReturn | ( | Return | value | ) |

Sets the value of the return property.

Parameters

  value | allowed object is Return

Definition at line 347 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setShipper()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setShipper | ( | Shipper | value | ) |

Sets the value of the shipper property.

Parameters

  value | allowed object is Shipper

Definition at line 323 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ setShippingDate()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.setShippingDate | ( | Date | value | ) |

Sets the value of the shippingDate property.

Parameters

  value | allowed object is String

Definition at line 155 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## Member Data Documentation

## ◆ _return

Return eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment._return
| protected

Definition at line 97 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ carrier

Carrier eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.carrier
| protected

Definition at line 100 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ consignee

Consignee eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.consignee
| protected

Definition at line 93 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ expressAltDeliveryAllowed

Boolean eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.expressAltDeliveryAllowed
| protected

Definition at line 91 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ identifier

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.identifier
| protected

Definition at line 84 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ incotermCode

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.incotermCode
| protected

Definition at line 82 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ middleware

String eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.middleware
| protected

Definition at line 86 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ product

ProductType eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.product
| protected

Definition at line 89 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ service

List<ShipmentService> eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.service
| protected

Definition at line 104 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ shipmentReference

List<String> eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.shipmentReference
| protected

Definition at line 76 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ shipmentUnit

List<ShipmentUnit> eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.shipmentUnit
| protected

Definition at line 102 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ shipper

Shipper eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.shipper
| protected

Definition at line 95 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

## ◆ shippingDate

Date eu.gls_group.fpcs.v1.shipmentprocessing.types.Shipment.shippingDate
| protected

Definition at line 80 of file gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/Shipment.java